/*   f4adp_user.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

int f4adp_usr_add(struct child_s* c, char** p, int n);
int f4adp_usr_adq(struct child_s* c, char** p, int n);
int f4adp_usr_chg(struct child_s* c, char** p, int n);
int f4adp_usr_get(struct child_s* c, char** p, int n);
int usr_kick(struct child_s** c, struct user_s* u, int signo);
int f4adp_usr_kick(struct child_s* c, char** p, int n);
int f4adp_usr_kill(struct child_s* c, char** p, int n);
int f4adp_usr_ls(struct child_s* c, char** p, int n);
int f4adp_usr_lsr(struct child_s* c, char** p, int n);
int f4adp_usr_pwd(struct child_s* c, char** p, int n);
int f4adp_usr_rm(struct child_s* c, char** p, int n);
int f4adp_usr_rst(struct child_s* c, char** p, int n);
int f4adp_usr_set(struct child_s* c, char** p, int n);

/* EOF */
