/*   common.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

char class_char(void);
int read_ftp_command(char* buffer, int bufferlen, char** param, int max, int* n);
int parse_command(char* p, char** param, int max, int* n);
int send_message(int rno, int finish, char* buffer, char* str);
int send_message_exp(int rno, int finish, char* buffer, char* str, int expand);
int send_reply(int rno, char* reply);
int send_reply_exp(int rno, char* reply, int expand);
int send_error(int rno, char* cmd, int errn);
int run_program(char* prog, char** param, int n, int rno, int finish, char* cd,
  int* exitcode, char* buffer);
int run_prog_xt(char* prog, char **param, int* exitcode, char* returner);

/* EOF */
