#include <stdio.h>

int int_size()
{ unsigned int i = 1;
  int          n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int short_size()
{ unsigned short i = 1;
  int            n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int long_size()
{ unsigned long i = 1;
  int           n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int main(int argc, char** argv)
{ int n;

  if (argc == 1)
  { printf("int is %i bit\n",int_size());
    printf("short int is %i bit\n",short_size());
    printf("long is %i bit\n",long_size());
    return 0;
  } else if (argc == 2)
  { n = atoi(argv[1]);
    if (n == long_size()) printf("long\n"); else
    if (n == int_size()) printf("int\n"); else
    if (n == short_size()) printf("short\n"); else
    { printf("none\n");
      return 1;
    }
  } else
  { printf("syntax: %s [<bits>]\n",argv[0]);
    return -1;
  }
  return 0;
}
