#include <stdio.h>

int int_size()
{ unsigned int i = 1;
  int          n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int longint_size()
{ unsigned long int i = 1;
  int               n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int shortint_size()
{ unsigned short int i = 1;
  int                n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int long_size()
{ unsigned long i = 1;
  int           n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int longlong_size()
{ unsigned long long i = 1;
  int                n = 0;

  while (i)
  { i <<= 1;
    n++;
  }
  return n;
}

int main(int argc, char** argv)
{ int n;

  if (argc == 1)
  { printf("int is %i bit\n",int_size());
    printf("short int is %i bit\n",shortint_size());
    printf("long int is %i bit\n",longint_size());
    printf("long is %i bit\n",long_size());
    printf("long long is %i bit\n",longlong_size());
    return 0;
  } else if (argc == 2)
  { n = atoi(argv[1]);
    if (n == int_size()) printf("int\n"); else
    if (n == longint_size()) printf("long int\n"); else
    if (n == shortint_size()) printf("short int\n"); else
    if (n == long_size()) printf("long\n"); else
    if (n == longlong_size()) printf("long long\n"); else
    { printf("none\n");
      return 1;
    }
  } else
  { printf("syntax: %s [<bits>]\n",argv[0]);
    return -1;
  }
  return 0;
}
