/*   utils.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-2000 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <arpa/inet.h>
#include <sys/socket.h>

void* alloc(void* buf, long size);
int   strip_crlf(char* buffer);
char  skipspace(char** x);
char  skipnspace(char** x);
char  skiptocolon(char** x);
char  skipspctocolon(char** x);
int   readline(char* line, int linelen, FILE* file);
extern void  mk_filename(char* buf, char* filename, char* defaultname);
int   read_to(int fd, char* buf, int buflen, int timeout);
char* fgets_to(char* buf, int buflen, FILE* stream, int timeout);
void flag_set(int* flags, int n, int value);
int flag_get(int flags, int n);
int accept_to(int s, struct sockaddr *addr, int *addrlen, int timeout);
int connect_to(int s, struct sockaddr *addr, int addrlen, int timeout);

/* EOF */
