/*   limits.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern struct limit_s* limit;

void lim_update(time_t tim);
int  lim_read_config(void);
int  lim_request_session(struct child_s* c, struct user_s* u, int doit);
void lim_return_session(struct child_s* c);
int  lim_request_bandwidth(struct child_s* c, int direction);
void lim_return_bandwidth(struct child_s* c);
int  in_iprange(unsigned long ip, unsigned char* iprange);
int  in_ident(long ip, char* ident, char* iprange);
int f4adp_lim_dump(struct child_s* c, char** p, int n);
int f4adp_lim_getbw(struct child_s* c, char** p, int n);
int f4adp_lim_returnbw(struct child_s* c, char** p, int n);

/* EOF */
